%define module	bioperl
%define name	perl-%{module}
%define version 1.5.1
%define release %mkrel 4

%define _requires_exceptions perl(Bio::Expression::FeatureSet)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BioPerl core modules
Group:		Development/Perl
License:	Artistic
URL:		http://www.bioperl.org
Source:		http://bioperl.org/DIST/%{module}-%{version}.tar.bz2
Patch:		%{module}-1.5.0.makefile.patch.bz2
Requires:	perl-Class-MakeMethods
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Clone)
BuildRequires:	perl(Class::AutoClass)
BuildRequires:	perl(GD)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(SVG::Graph)
BuildRequires:	perl(Text::Shellwords)
BuildRequires:	perl(Tree::DAG_Node)
BuildRequires:	perl(XML::DOM::XPath)
BuildRequires:	perl(XML::SAX::Writer)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(Data::Stag::Writer)
Obsoletes:	perl-Bioperl
Provides:	perl-Bioperl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{module}-%{version}
%patch
rm -f t/FeatureIO.t
rm -f t/SeqFeatCollection.t
rm -f t/DB.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
# those should belong to Bioperl-Run instead
%{__rm} -f %{buildroot}%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f %{buildroot}%{_bindir}/bp_blast2tree.pl

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples doc; do
    find $dir -type f -regex $executables | xargs chmod 755
    find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
    find $dir -type f ! -regex $executables | xargs chmod 644
    find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc examples models
%doc AUTHORS BUGS Changes DEPRECATED FAQ INSTALL LICENSE PLATFORMS README
%{_bindir}/*
%{perl_vendorlib}/Bio
%{perl_vendorlib}/*.pl
%{perl_vendorlib}/*.pod
%{_mandir}/*/*

%changelog
* Thu May 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-4mdk
- better buildrequires syntax 
- more buildrequires

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-3mdk
- buildrequires

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdk
- fix dependencies

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdk
- new version
- fixed doc files perms, encoding and shellbang
- don't install scripts in documentation, they are already installed in %{_bindir}

* Tue Jan 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0-4mdk
- Add BuildRequires

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.0-3mdk
- corrected name
- %%mkrel
- enable test, except failing one

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0-2mdk
- rebuild for new Perl

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.5.0-1mdk 
- new version
- generate man pages
- spec cleanup

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-4mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk 
- rpmbuildupdate aware

* Sat Jan 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk
- removed scripts that should belong to Bioperl-Run
- tutorial in perl tree

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- new version
- added scripts

* Tue Sep 23 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.3-1mdk
- 1.2.3

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.2.2-3mdk
- Macroize
- %%makeinstall_std
- Here document to avoid interactive questions.

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.2-2mdk
- fixed requires

* Fri Jul 18 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- no more explicit requires

* Tue Apr 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
